Bug 1131647 - RFE: rhel-osp-installer should install the rhos sos plugins on all nodes
Summary: RFE: rhel-osp-installer should install the rhos sos plugins on all nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z2
: Installer
Assignee: Mike Burns
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-19 18:18 UTC by Dave Maley
Modified: 2014-11-04 17:02 UTC (History)
16 users (show)

Fixed In Version: rhel-osp-installer-0.3.6-2.el6ost
Doc Type: Enhancement
Doc Text:
This enhancement includes sos components by default in deployed systems. This is intended to ease support and debugging activities. As a result, the log collector tooling will now get Red Hat Enterprise Linux OpenStack Platform specific results.
Clone Of: 1053734
Environment:
Last Closed: 2014-11-04 17:02:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch (831 bytes, text/plain)
2014-10-01 19:43 UTC, Mike Burns
mhulan: review+
Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Comment 1 Mike Burns 2014-08-19 19:10:45 UTC
This could be done in kickstart during %post (we don't have repos to do it in %packages) but I think it's cleaner to install during puppet runs.

Comment 3 Jason Guiditta 2014-10-01 19:10:05 UTC
Looking at the patch for the related BZ, the change packstack made was:
https://review.openstack.org/#/c/102481/9/packstack/plugins/serverprep_001.py

This is kind of a pre-puppet step, which makes me think this may belong in the kickstart.  I can certainly add the package via puppet, but I am not sure we can safely guarantee it is installed before all the other components without lots of ordering dependencies or stages (which can cause more trouble than they solve).  One option that could leave it in puppet would be if we set staypuft to assign all new hosts to some default group that included all base configuration like this that may be needed before openstack is configured.  Not sure if this is a good apprach or not, just an idea.

Comment 4 Mike Burns 2014-10-01 19:15:02 UTC
Based on comment 3, moving back to rhel-osp-installer to add this in the kickstart.

must be %post

install these packages:
rhos-log-collector
sos
sos-plugins-openstack

Comment 5 Mike Burns 2014-10-01 19:43:07 UTC
Created attachment 943192 [details]
patch

This is not a valid upstream change, so attaching a downstream only patch.

Marek, can you please review?

Comment 8 Alexander Chuzhoy 2014-10-06 17:53:25 UTC
Verified:rhel-osp-installer-0.4.1-2.el6ost.noarch

The kickstart now has the following line:
# install sos related tools
yum -t -y -e 0 install sos sos-plugins-openstack rhos-log-collector


and the deployed nodes have the rpms installed:

[root@maca25400868097 ~]# rpm -qa|grep "^sos\|rhos-log"
sos-plugins-openstack-2013.2-5.el7ost.noarch
sos-3.0-23.el7.noarch
rhos-log-collector-2013.2-5.el7ost.noarch

Comment 11 errata-xmlrpc 2014-11-04 17:02:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.